.btn-main {
    height: 60px;
    margin: 40px 0 50px 0;
    padding: 0 45px;
    display: inline-flex;
    align-items: center;
    border-radius: 50px;
    color: var(--color-primary-dark);
    font-family: "latinka-light";
    font-size: 20px;
    position: relative;
    overflow: hidden;
    border: 1px solid var(--color-primary-lighter);
    transition: all 0.3s ease-in;
}

.btn-main::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    background: var(--color-primary-lighter);
    width: 100%;
    height: 100%;
    z-index: -1;
    transform: scaleX(1);
    transition: transform 0.3s ease-in;
    transform-origin: center left;
}

.btn-main:hover {
    color: var(--color-primary-dark);
}

.btn-main:hover::before {
    transform: scaleX(0);
    transform-origin: center right;
}

.btn-main:hover {
    color: #fff;
}

.btn-dark {
    color: var(--color-primary-lighter);
    border: 1px solid var(--color-primary-lighter);
    font-family: "latinka-light";
}

.btn-dark::before {
    background: var(--color-primary-dark);
}

.btn-dark:hover {
    border: 1px solid var(--color-primary-dark);
    color: var(--color-primary-dark);
}

.btn-detail {
    font-family: "latinka-medium";
    font-size: 15px;
    color: #000000;
    transition: color 0.2s ease-in;
    text-decoration: none;
    position: relative;
    padding-bottom: 5px;
}

.btn-detail::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: #000000;
    transition: width 0.3s ease-in-out;
}

.btn-detail:hover {
    color: #43998a;
}

.btn-detail:hover::after {
    width: 0;
}

/* İnner More Btn */

.inner-more-btn {
  margin: 120px 0 0 0;
  display: flex;
  justify-content: center;
}

.inner-more-btn a {
  height: 54px;
  padding: 0 45px;
  display: inline-flex;
  align-items: center;
  border-radius: 50px;
  font-family: "latinka-regular";
  position: relative;
  overflow: hidden;
  color: #43998a;
  font-size: 18px;
  border: 1px solid #43998a;
  transition: all 0.3s ease-in;
}

.inner-more-btn a::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #43998a;
  transform: scaleX(0);
  z-index: -1;
  transition: transform 0.3s ease-in;
  transform-origin: center right;
}

.inner-more-btn a:hover {
  color: #fff;
}

.inner-more-btn a:hover::before {
  transform: scaleX(1);
  transform-origin: center left;
}

/* Copy Link Button */
.custom-btn-copy-link {
    width: 45px;
    height: 45px;
    border-radius: 50%;
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--color-primary-dark);
    cursor: pointer;
    transition: all 0.3s ease;
    padding: 0;
    position: relative;
    border: 1px solid #EDF5F5;
}

.custom-btn-copy-link::after {
    content: '';
    position: absolute;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background-color: #EDF5F5;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 0;
}

.custom-btn-copy-link svg {
    position: relative;
    z-index: 1;
}

.custom-btn-copy-link:hover .custom-btn-copy-link::after {
    background-color: var(--color-primary-light);
    color: #fff;
    transform: scale(1.1);
}